package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_calling_history")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class CallingHistoryDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "part_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer partId;
    /**
     * 呼叫类型。1，病房普通呼叫；2，门口机呼叫；3，卫生间紧急呼叫；4，请求增援。
     */
    @Column(name = "calling_type")
    @ApiModelProperty(value = "呼叫类型。1，病房普通呼叫；2，门口机呼叫；3，卫生间紧急呼叫；4，请求增援。", required = false)
    private Boolean callingType;
    /**
     * 呼叫原始显示内容
     */
    @Column(name = "content")
    @ApiModelProperty(value = "呼叫原始显示内容", required = false)
    private String content;
    /**
     * 呼叫原始报文
     */
    @Column(name = "calling_text")
    @ApiModelProperty(value = "呼叫原始报文", required = false)
    private String callingText;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getPartId() {
        return partId;
    }

    public void setPartId(Integer partId) {
        this.partId = partId;
    }


    public Boolean getCallingType() {
        return callingType;
    }

    public void setCallingType(Boolean callingType) {
        this.callingType = callingType;
    }


    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    public String getCallingText() {
        return callingText;
    }

    public void setCallingText(String callingText) {
        this.callingText = callingText;
    }

}
